Last Comment Bug 177394 - Document the ASN.1 templates and the classic and QuickDER decoders.
: Document the ASN.1 templates and the classic and QuickDER decoders.
Status: VERIFIED FIXED
:
Product: NSS
Classification: Components
Component: Documentation (show other bugs)
: 3.6
: All All
: P1 enhancement (vote)
: 3.8
Assigned To: Julien Pierre
: Wan-Teh Chang
:
Mentors:
http://www.mozilla.org/projects/secur...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-29 16:10 PST by Wan-Teh Chang
Modified: 2002-12-19 15:39 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
documentation corrected with Nelson and Ian's feedback (15.49 KB, text/html)
2002-12-09 16:19 PST, Julien Pierre
no flags Details
final version (15.44 KB, text/html)
2002-12-13 17:10 PST, Julien Pierre
no flags Details

Description Wan-Teh Chang 2002-10-29 16:10:02 PST
The documentation should include the following.

1. The structure of the ASN.1 templates and the
various macros.

2. Differences between the classic and QuickDER
decoders.

3. Problems with the classic QuickDER decoder,
such as the unimplemented features, memory usage,
and potential memory leaks on decoding failure.

4. Requirements of the QuickDER decoder on the
lifetime of the DER input and the arena.

5. Limitations of the QuickDER decoder, such as
no BER and indefinite decoding.
Comment 1 Wan-Teh Chang 2002-12-06 11:14:50 PST
Moved to target milestone 3.8 because the original
NSS 3.7 release has been renamed 3.8.
Comment 2 Julien Pierre 2002-12-09 16:19:13 PST
Created attachment 108809 [details]
documentation corrected with Nelson and Ian's feedback
Comment 3 Julien Pierre 2002-12-09 16:22:55 PST
I incorporated changes into the attached HTML document in response to Ian and
Nelson's questions before I went on vacation.
Please let me know if any more changes are needed. If not, please add a review.
The document should go somewhere on mozilla.org .
Comment 4 Wan-Teh Chang 2002-12-09 16:28:11 PST
I suggested that we create a "tech-notes" subdirectory
under http://www.mozilla.org/projects/security/pki/nss/,
and check in documents like this one as NSS tech notes.
They would be named tn1.html, tn2.html, etc.

I guess this one can be tn1.html :-)
Comment 5 Julien Pierre 2002-12-13 17:10:06 PST
Created attachment 109271 [details]
final version
Comment 6 Nelson Bolyard (seldom reads bugmail) 2002-12-13 17:17:35 PST
Comment on attachment 109271 [details]
final version

Changed MIME type for that "final" version to text/html so I can read it with
the brwoser.
Comment 7 Julien Pierre 2002-12-17 14:54:44 PST
Unless there is more feedback, I think this version should be published on
mozilla.org and the bug closed.
Comment 8 Wan-Teh Chang 2002-12-17 15:37:34 PST
Comment on attachment 109271 [details]
final version

Julien, I've added this page to our web site as NSS
Technical Note 1.  It will show up in a couple of hours at
http://www.mozilla.org/projects/security/pki/nss/tech-notes/tn1.html.
Comment 9 Julien Pierre 2002-12-19 15:39:34 PST
closing
Comment 10 Julien Pierre 2002-12-19 15:39:55 PST
verified page is up

Note You need to log in before you can comment on or make changes to this bug.